## LassoSamlp2ManageNameIDRequest LassoSamlp2ManageNameIDRequest — <samlp2:ManageNameIDRequest> |

## Functions

LassoNode * | lasso_samlp2_manage_name_id_request_new ()

## Types and Values

struct | LassoSamlp2ManageNameIDRequest

## Description

Figure 79. Schema fragment for samlp2:ManageNameIDRequest

    <complexType name="ManageNameIDRequestType">
      <complexContent>
        <extension base="samlp:RequestAbstractType">
          <sequence>
            <choice>
              <element ref="saml:NameID"/>
              <element ref="saml:EncryptedID"/>
            </choice>
            <choice>
              <element ref="samlp:NewID"/>
              <element ref="samlp:NewEncryptedID"/>
              <element ref="samlp:Terminate"/>
            </choice>
          </sequence>
        </extension>
      </complexContent>
    </complexType>

## Functions

### lasso_samlp2_manage_name_id_request_new ()

    LassoNode *
    lasso_samlp2_manage_name_id_request_new
                                   (void);

Creates a new LassoSamlp2ManageNameIDRequest object.

#### Returns

a newly created LassoSamlp2ManageNameIDRequest object

## Types and Values

### struct LassoSamlp2ManageNameIDRequest

    struct LassoSamlp2ManageNameIDRequest {
    	LassoSamlp2RequestAbstract parent;

    	/* elements */
    	LassoSaml2NameID *NameID;
    	LassoSaml2EncryptedElement *EncryptedID;
    	char *NewID;
    	LassoSaml2EncryptedElement *NewEncryptedID;
    	LassoSamlp2Terminate *Terminate;
    };